Download it now!
Bug 127566 - New Help: The elements that are copied to clipboard when clicked should not jump when the indicator border appears
Summary: New Help: The elements that are copied to clipboard when clicked should not j...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2019-09-16 06:20 UTC by Mike Kaganski
Modified: 2020-01-31 06:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast (29.12 KB, image/gif)
2019-09-16 06:20 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-09-16 06:20:42 UTC
Created attachment 154185 [details]
Screencast

When a code sample in help is clicked, it is highlighted with a color border to show that something happens; and that's nice. However, the border has a width that causes the enclosed text to change the position momentarily. It would be nice if the text would *always* have the same width of the border, but only change its color, which would avoid the jumping down than up.

On the attached screencast, the appearing green border moves text down and right.
Comment 2 Buovjaga 2019-10-03 11:06:49 UTC
Olivier: this seems to be fixed by adding to the CSS .pycode, .bascode rule:

border: solid 5px transparent;

and then from the help.js function you can remove instances of

var saveBorder  = item.style.border;
item.style.border = "solid 5px";
item.style.border = saveBorder;
Comment 3 Commit Notification 2020-01-30 10:23:30 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/35281f4c9178f373609a61f0a44e268b179c5749

tdf#127566: don't change divcopyable border width in onclick handler
Comment 4 Commit Notification 2020-01-30 22:35:37 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/help/commit/f1cb84713664fefd3892671808efe31234e11eec

tdf#127566: don't change divcopyable border width in onclick handler